package com.persagy.fm.common.old.utils;

import com.persagy.common.enums.ResponseCode;
import com.persagy.fm.common.model.vo.OldResponseResult;

import java.util.List;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年9月1日:	下午2:21:25
 */
public class OldResponseResultUtil {
	
	public static OldResponseResult<Void> successResult() {
		OldResponseResult<Void> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A00000.getCode());
		result.setResult(ResponseCode.A00000.getDesc());
		return result;
	}

	public static OldResponseResult<Void> successResult(String respMsg) {
		OldResponseResult<Void> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A00000.getCode());
		result.setResult(ResponseCode.A00000.getDesc());
		result.setRespMsg(respMsg);
		return result;
	}

	public static <T> OldResponseResult<T> successResult(List<T> content) {
		OldResponseResult<T> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A00000.getCode());
		result.setResult(ResponseCode.A00000.getDesc());
		result.setContent(content);
		return result;
	}

	public static <T> OldResponseResult<T> successResult(String respMsg, List<T> content) {
		OldResponseResult<T> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A00000.getCode());
		result.setResult(ResponseCode.A00000.getDesc());
		result.setRespMsg(respMsg);
		result.setContent(content);
		return result;
	}

	public static <T> OldResponseResult<T> successResult(List<T> content, Long count) {
		OldResponseResult<T> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A00000.getCode());
		result.setResult(ResponseCode.A00000.getDesc());
		result.setContent(content);
		result.setCount(count);
		return result;
	}

	public static <T> OldResponseResult<T> successResult(T item) {
		OldResponseResult<T> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A00000.getCode());
		result.setResult(ResponseCode.A00000.getDesc());
		result.setItem(item);
		return result;
	}

	public static <T> OldResponseResult<T> successResult(String respMsg, T item) {
		OldResponseResult<T> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A00000.getCode());
		result.setResult(ResponseCode.A00000.getDesc());
		result.setRespMsg(respMsg);
		result.setItem(item);
		return result;
	}

	public static OldResponseResult<Void> errorResult() {
		OldResponseResult<Void> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A10000.getCode());
		result.setResult(ResponseCode.A10000.getDesc());
		return result;
	}

	public static OldResponseResult<Void> errorResult(String respMsg) {
		OldResponseResult<Void> result = new OldResponseResult<>();
		result.setRespCode(ResponseCode.A10000.getCode());
		result.setResult(ResponseCode.A10000.getDesc());
		result.setRespMsg(respMsg);
		return result;
	}

	public static OldResponseResult<Void> errorResult(String respCode, String respMsg) {
		OldResponseResult<Void> result = new OldResponseResult<>();
		result.setRespCode(respCode);
		result.setRespMsg(respMsg);
		result.setResult(ResponseCode.A10000.getDesc());
		return result;
	}

	public static <T> OldResponseResult<T> errorResult(String respCode, String respMsg, Object content) {
		OldResponseResult<T> result = new OldResponseResult<T>();
		result.setRespCode(respCode);
		result.setRespMsg(respMsg);
		result.setResult(ResponseCode.A10000.getDesc());
		result.setContent(content);
		return result;
	}
	
}
