package com.persagy.fm.common.old.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

/***
 * Description: 老的自定义字符串的工具类
 * @author : lijie
 * @date :2021/4/26 18:41
 * Update By lijie 2021/4/26 18:41
 */
@SuppressWarnings("unchecked")
public class StringUtil {
	/***
	 * Description: 判断数组中的字段是否为null
	 * @param lackFields : 满足条件的字段数组
     * @param jsonObject : 校验的对象
     * @param params : 校验的key
	 * @return : boolean
	 * @author : lijie
	 * @date :2021/4/26 18:41
	 * Update By lijie 2021/4/26 18:41
	 */
	public static boolean isNull(JSONArray lackFields, JSONObject jsonObject, String... params){
		lackFields = lackFields == null ? new JSONArray() : lackFields;
		if(null == jsonObject){
            return false;
        }
		Object value;
		boolean flag = false;
		for(String param : params){
			value = jsonObject.get(param);
			if(value instanceof JSONObject){
				if(((JSONObject)value).isEmpty()){
					flag = true;
					if(!lackFields.contains(param)){
                        lackFields.add(param);
                    }
				}
			}else if(value instanceof JSONArray){
				if(((JSONArray)value).isEmpty()){
					flag = true;
					if(!lackFields.contains(param)){
                        lackFields.add(param);
                    }
				}
			}else{
				if(null == value || "".equals(JSON.toJSON(value))){
					flag = true;
					if(!lackFields.contains(param)){
                        lackFields.add(param);
                    }
				}
			}
		}
		return flag;
	}
	/***
	 * Description: 判断对象里是否存在该key
	 * @param lackFields : 存储结果key的数组
     * @param jsonObject : 校验的对象
     * @param params : 校验的key
	 * @return : boolean
	 * @author : lijie
	 * @date :2021/4/26 18:46
	 * Update By lijie 2021/4/26 18:46
	 */
	public static boolean isExist(JSONArray lackFields, JSONObject jsonObject, String... params){
		lackFields = lackFields == null ? new JSONArray() : lackFields;
		if(jsonObject == null){
            return false;
        }
		Object value;
		boolean flag = false;
		for(String param : params){
			value = jsonObject.get(param);
			if(value instanceof JSONObject){
				if(((JSONObject)value).isEmpty()){
					if(!lackFields.contains(param)){
                        lackFields.add(param);
                    }
				}else{
					flag = true;
				}
			}else if(value instanceof JSONArray){
				if(((JSONArray)value).isEmpty()){
					if(!lackFields.contains(param)){
                        lackFields.add(param);
                    }
				}else{
					flag = true;
				}
			}else{
				if(value == null || "".equals(JSON.toJSON(value))){
					if(!lackFields.contains(param)){
                        lackFields.add(param);
                    }
				}else{
					flag = true;
				}
			}
		}
		return flag;
	}
	
    /**
     * 判断String是否为null或空
     * @param params:校验的参数
     * @return
     */
    public static boolean isNull(String... params){
        for(String param : params){
            if(param == null || "".equals(param)){
                return true;
            }
        }
        return false;
    }
    /**
     * 判断String是否为null或空
     * @param params
     * @return
     */
    public static boolean isNotNull(String... params){
        return !isNull(params);
    }
    /**
     * 判断JSONObects是否包含parmas中的字段
     * @param jsonObject
     * @param params
     * @return
     */
    public static boolean isNull(JSONObject jsonObject, String... params){
        for(String param : params){
            if(isNull(jsonObject.getString(param))){
                return true;
            }
        }
        return false;
    }

    /**
     * 判断JSONObect中时候包含parmas中字段的为空数组
     * @param jsonObject
     * @param params
     * @return
     */
    public static boolean isEmptyList(JSONObject jsonObject, String... params){
        JSONArray jsonArray;
        for(String param : params){
            jsonArray = jsonObject.getJSONArray(param);
            if(jsonArray == null || jsonArray.isEmpty()){
                return true;
            }
        }
        return false;
    }
}
