package com.persagy.fm.common.utils;

import org.springframework.core.io.Resource;
import org.springframework.core.io.support.PathMatchingResourcePatternResolver;
import org.springframework.core.io.support.ResourcePatternResolver;

import java.io.IOException;
/***
 * Description: 文件处理公共类
 * @author : lijie
 * @date :2021/4/28 16:38
 * Update By lijie 2021/4/28 16:38
 */
public class FileUtil {

    /***
     * Description: 获取资源文件方法
     * @param configFilePath : 配置文件路径
     * @param classpathFilePath : 本地路径
     * @return : org.springframework.core.io.Resource[]
     * @author : lijie
     * @date :2021/3/1 14:25
     * Update By lijie 2021/3/1 14:25
     */
    public static Resource[] getResource(String configFilePath, String classpathFilePath) throws IOException {
        ResourcePatternResolver resolver = new PathMatchingResourcePatternResolver();
        Resource[] resolverResources = resolver.getResources(configFilePath);
        if (resolverResources.length > 0) {
            boolean exist = true;
            for (Resource resource : resolverResources) {
                if (!resource.exists()) {
                    exist = false;
                    break;
                }
            }
            if(exist) {
                return resolverResources;
            }
        }
        return resolver.getResources(classpathFilePath);
    }

}
